SoftMaskedAlphabet.MaskingDetector (BioJava-1.5-beta API)
Keywords: org.biojava.bio.symbol.SoftMaskedAlphabet.MaskingDetector interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.symbol
Interface SoftMaskedAlphabet.MaskingDetector

All Known Implementing Classes:
  SoftMaskedAlphabet.MaskingDetector.DefaultMaskingDetector

Enclosing class:
  SoftMaskedAlphabet

    public static interface SoftMaskedAlphabet.MaskingDetector

Implementations will define how soft masking looks. The `DEFAULT` implementation considers softmasking to be represented by lower case characters.

Copyright (c) 2004 Novartis Institute for Tropical Diseases

Version:
  1.0
Author:
  Mark Schreiber

Nested Class Summary
`static class` | `SoftMaskedAlphabet.MaskingDetector.DefaultMaskingDetector`

Field Summary
`static SoftMaskedAlphabet.MaskingDetector` | `DEFAULT`

Method Summary
`boolean` | `isMasked(String token)`
`String` | `mask(String token)` Present the token for a `Symbol` as it would appear if masked
`String` | `unmask(String token)` Present the token for a `Symbol` as it would appear if it wasn't softmasked

Field Detail

### DEFAULT

    static final SoftMaskedAlphabet.MaskingDetector DEFAULT

Method Detail

### isMasked

    boolean isMasked(String token)

### mask

    String mask(String token)

  Present the token for a `Symbol` as it would appear if masked

  Parameters:
    `token` - the `String` to mask.
  Returns:
    the masked token

### unmask

    String unmask(String token)

  Present the token for a `Symbol` as it would appear if it wasn't softmasked

  Parameters:
    `token` - the `String` to un-mask.
  Returns:
    the un-masked token

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD